# Abbreviations

| **Abbreviation** | **Description**    |
| ---------------: | ----------------   |
| AAF              | [Application Authorization Framework](https://wiki.onap.org/display/DW/Application+Authorization+Framework+Project)   |
| A&AI             | [Active & Available Inventory](https://wiki.onap.org/display/DW/Active+and+Available+Inventory+Project)   |
| AAA              | [Authentication, Authorization and Accounting](https://en.wikipedia.org/wiki/AAA_(computer_security))   |
| AID              | Architecture Integration Document   |
| APPC             | [Application Controller](https://wiki.onap.org/display/DW/Application+Controller+Project)   |
| BPEL             | Business Process Execution Language
| BPMN             | [Business Process Model and Notation or Business Process Management Notation](https://en.wikipedia.org/wiki/Business_Process_Model_and_Notation)   | 
| BRMS             | Business Rules Management System   |
| BSS              | Business Support System   |
| CCSDK            | Common Controller SDK project |
| CDAP             | [Cask Data Application Platform](https://cdap.io/)   |
| CDS              | Controller Design Studio   |
| CI/CD            | Continuous Integration / Continuous Delivery   |
| CL               | Control Loop   |
| CLAMP            | Closed Loop Automation Management Platform (project)   |
| CLI              | [Command Line Interface (project)](https://wiki.onap.org/display/DW/Command+Line+Interface+Project)   |
| CMA              | Change Management Application (within ONAP)   |
| CNF              | Cloud Native network Function.   |
| COE              | Container Orchestration Engine   |
| CPE              | Customer Premise Equipment   |
| CSAR             | [Cloud Service ARchive (link)](http://openbaton.github.io/documentation/tosca-CSAR-onboarding/)   |
| DAO              | [Data Access Object](https://en.wikipedia.org/wiki/Data_access_object)   |
| DCAE             | [Data Collection Analytics & Events](https://wiki.onap.org/pages/viewpage.action?pageId=6592895)   |
| DDoS             | Distributed Denial-of-Service attack   |
| DG               | Directed Graph   |
| DG Builder       | Directed Graph Builder   |
| DMaaP            | [Data Movement as a Platform](https://wiki.onap.org/display/DW/DMaaP)   |
| DME              | [Direct Messaging Engine (common service within ONAP)](https://wiki.onap.org/display/DW/Common+Services)   |
| DNS              | Domain Name System   |
| DPDK             | Data Plane Development Kit   |
| EELF             | [Event and Error-Logging Framework](https://wiki.onap.org/display/DW/Common+Services)   |
| EMS              | [Element Management System](https://en.wikipedia.org/wiki/Element_management_system)   |
| ESR              | [External System Register](https://wiki.onap.org/pages/viewpage.action?pageId=5734948)   |
| ETSI             | [European Telecommunications Standards Institute](http://www.etsi.org/technologies-clusters/technologies/689-network-functions-virtualisation)   |
| EUAG             | [ONAP End User Advisory Group](https://wiki.lfnetworking.org/pages/viewpage.action?pageId=2916362)   |
| FCAPS            | Fault Configuration Accounting Performance Security   |
| GBP              | [Group-Based Policy ](https://wiki.openstack.org/wiki/GroupBasedPolicy)   |
| GNFC             | [Genric Network Function Controller](https://wiki.onap.org/download/attachments/45300148/ONAP_GNF_ControllersSOL003.pptx?version=1&modificationDate=1548619943000&api=v2)   |
| GUI              | [Graphical User Interface](https://en.wikipedia.org/wiki/Graphical_user_interface)   |
| HAS              | [Homing and Allocation Service](https://wiki.onap.org/pages/viewpage.action?pageId=16005528)   |
| HDFS             | Hadoop Distributed File System   |
| HPA              | Hardware Platform Awareness   |
| HTTP             | HyperText Transfer Protococol   |
| HV VES           | [High Volume Virtual function Event Stream](https://wiki.onap.org/display/DW/High+Volume+VES+Collector)   |
| IAM/IDAM         | Identity and Access Management   |
| ICE              | Incubation and Certification Environment   |
| IDS              | [Intrusion Detection System](https://en.wikipedia.org/wiki/Intrusion_detection_system)   |
| IETF             | [Internet Engineering Task Force](http://www.ietf.org)   |
| IKE              | [Internet Key Exchange](https://en.wikipedia.org/wiki/Internet_Key_Exchange)   |
| IPS              | [Intrusion Prevention System](https://en.wikipedia.org/wiki/Intrusion_detection_system)   |
| IPSEC            | [Internet Protocol Security](https://en.wikipedia.org/wiki/IPsec)   |
| JAR              | [Java Archive](https://en.wikipedia.org/wiki/JAR_(file_format))   |
| JSC              | [Java Service Container](https://wiki.onap.org/display/DW/Common+Services)   |
| JSON             | JavaScript Object Notation   |
| LCM              | Life Cycle Management   |
| LFN CVC          | [Linux Foundation Networking Compliance/Verification Committee](https://wiki.onap.org/display/DW/LFN+CVC+Testing+in+VNFSDK)   |
| LFN CVP          | [Linux Foundation Networking Compliance/Verification Program](https://wiki.onap.org/display/DW/LFN+CVC+Testing+in+VNFSDK)   |
| LRM              | Local Resource Monitor   |
| M0               | Release Kick-off milestone. See also Release Lifecycle   |
| M1               | Release Planning milestone. See also Release Lifecycle   |
| M2               | Release Functionality Freeze milestone. See also Release Lifecycle   |
| M3               | Release API Freeze milestone. See also Release Lifecycle   |
| M4               | Release Code Freeze milestone. See also Release Lifecycle   |
| MACD             | (Vendor specific) Move Add Change Delete/Disconnect   |
| MANO             | MANagement and Organization of NFV   |
| MD-SAL           | Model Driven Service Abstraction Layer   |
| MR               | Message Router (a Common Service of ONAP)     |
| MOP              | Method of Procedure   |
| MOTS             | Mechanized Operations Tracking System   |
| MSB              | Microservice Bus   |
| MSO              | [Master Service Orchestrator](https://wiki.onap.org/pages/viewpage.action?pageId=1015834)   |
| MVP              | [Minimum Viable Product](https://en.wikipedia.org/wiki/Minimum_viable_product)   |
| NAI              | Network Artificial Intelligence   |
| NANCSP           | Network Cloud Service Provider   |
| NBI              | North Bound Interface   |
| NEP              | Network Equipment Provider   |
| NETCONF          | [Network Configuration Protocol](https://en.wikipedia.org/wiki/NETCONF)   | 
| NFV              | [Network Function Virtualization](https://en.wikipedia.org/wiki/Network_function_virtualization)   |
| NFVI             | [network functions virtualization infrastructure](https://www.sdxcentral.com/nfv/definitions/nfv-mano/)   |
| NOD              | Network On Demand   |
| NS               | Network Services   |
| NS               | (Vendor Specific) New Start   |
| O-RAN            | [O-RAN Alliance, Operator Defined Next Generation Radio Access Networks Alliance](https://www.o-ran.org)
| O-RAN-SC         | [O-RAN Software Community](https://o-ran-sc.org)
| OAM              | Operation and Maintenance   |
| OA&M             | Operations, Administration and Management   |
| OMF              | Operational Management Framework (of ONAP)   |
| OMSA             | ONAP Microservice Architecture   |
| ONAP             | [Open Network Automation Platform](https://wiki.onap.org/pages/viewpage.action?pageId=1015843)   |
| OOF              | ONAP Optimization Framework   |
| ODL              | [OpenDaylight](https://www.opendaylight.org/)   |
| OOM              | [ONAP Operations Manager](https://wiki.onap.org/display/DW/OOM+User+Guide)   |
| OPNFV            | [Open Platform for NFV Project](https://www.sdxcentral.com/nfv/definitions/opnfv/)   |
| OSAM             | [Open Source Access Manager](https://wiki.onap.org/display/DW/OpenSource+Access+Manager+%28OSAM%29+Use+Case)   |
| OSC              | O-RAN Software Community or Optical Supervisory Channel   |
| OSS              | Operations Support System   |
| PAP              | Policy Administration Point (ONAP)   |
| PCE              | Path Computation and Element (ONAP)   |
| PCI              | Physical Cell ID   |
| pCPE             | physical Customer Premise Equipment   |
| PDP-x            | Policy Decision Point - XACML (ONAP)   |
| PDP-d            | Policy Decision Point - Drools (ONAP)   |
| PO               | Platform Orchestrator   |
| PoC              | Proof of Concept   |
| POMBA            | [Post Orchestration Model Based Audit](https://wiki.onap.org/display/DW/POMBA)   |
| PNDA             | [Open source Platform for Network Data Analytics](https://wiki.onap.org/display/DW/Integrating+PNDA)   |
| PNF              | Physical Network Function   |
| RCA              | Root Cause Analysis   |
| RCT              | Reference Connection Tool   |
| REST             | [Representational State Transfer](https://en.wikipedia.org/wiki/Representational_state_transfer)   |
| RESTCONF         | A protocol based on HTTP for configuring data defined in YANG    |
| RO               | Resource Orchestrator   |
| RPC              | Remote Procedure Call   |
| S3P              | [Stability, Security, Scalability, Performance](https://wiki.onap.org/pages/viewpage.action?pageId=16003367)   |
| SDC              | Service Design and Creation (component of ONAP for visual modeling and design)   |
| SDN              | [Software-defined networking](https://en.wikipedia.org/wiki/Software-defined_networking)   |
| SDN-C            | [SDN-Controller](https://wiki.onap.org/display/DW/SDN+Controller+Development+Guide)   |
| SDN-R            | [SDN-Radio](https://wiki.onap.org/display/DW/SDN-R)   |
| SDN-GP           | Software Defined Network - Global Platform   |
| SEBA             | SDN-Enabled Broadband Access, see also   |
| SLA              | Service Level Agreement   |
| SLI              | Service Logic Interpreter   |
| SME              | Subject Matter Expert   |
| SMTP             | Simple Mail Transfer Protocol   |
| SNMP             | Simple Network Management Protocol   |
| SO               | [Service Orchestrator (project)](https://wiki.onap.org/display/DW/Service+Orchestrator+Project)   |
| SOT              | Source Of Truth   |
| SR-IOV           | [Single-Root Input/Output Virtualization](https://en.wikipedia.org/wiki/Single-root_input/output_virtualization)  |
| SSL              | [Secure Sockets Layer](https://en.wikipedia.org/wiki/Transport_Layer_Security)   |
| SUPP             | (Vendor Specific) short for supplement, changing a connection before activation   |
| Swagger          | legacy name for the OpenAPI Specification   |
| TCP              | Transmission Control Protocol   |
| TEM              | Telecom Electronics Manufacturer   |
| TLS              | [Transport Layer Security](https://en.wikipedia.org/wiki/Transport_Layer_Security)   |
| TOSCA            | [Topology and Orchestration Specification for Cloud Applications](https://www.oasis-open.org/committees/tc_home.php?wg_abbrev=tosca)   |
| TPS              | Transactions Per Second   |
| TSC              | Technical Steering Committee   | 
| U-UI             | [Usecase User Interface](https://wiki.onap.org/display/DW/Usecase+UI+Project)   |
| UI               | [User Interface](https://en.wikipedia.org/wiki/User_interface)   |
| UX               | [User Experience](https://en.wikipedia.org/wiki/User_experience)   |
| vCE              | virtual CE (Customer Edge) router (an example VNF)   |
| vCPE             | Virtual Customer Premise Equipment   |
| vDNS             | Virtual Domain Name Server (an example VNF)   |
| VDU              | [Virtualisation Deployment Unit](https://wiki.onap.org/display/DW/Comparison+of+Current+R3+Clean+Version+with+IFA011+v2.5.1)   |
| VES              | [Virtual function Event Stream](https://wiki.opnfv.org/download/attachments/6819329/OPNVF%20VES.pptx?version=4&modificationDate=1466395653000&api=v2)   |
| vF               | Virtual Firewall (an example VNF)   |
| VF               | Virtual Function   |
| VFC              | [Virtual Function Controller](https://wiki.onap.org/display/DW/Virtual+Function+Controller+Project)   |
| VFC              | Virtual Function Component (Resource Onboarding)   |
| vfModule         | Virtual Function Module   |
| VID              | Virtual Instantiation Deployment   |
| VID              | [Virtual Infrastructure Deployment (Project)](https://wiki.onap.org/display/DW/Virtual+Infrastructure+Deployment+Project)   |
| VIM              | Virtualized Infrastructure Manager   |
| VLAN             | Virtual Local Area Network   |
| VM               | Virtual Machine   |
| VNF              | [Virtual Network Function](http://searchsdn.techtarget.com/definition/virtual-network-functions)   |
| VNFC             | Virtual Network Function Component   |
| VNFD             | [VNF Descriptor](https://wiki.onap.org/pages/viewpage.action?pageId=8226059)   |
| VNFM             | VNF Manager   |
| VNO              | Virtual Network Operator   |
| vPE              | virtual PE (Provider Edge) router (an example of a VNF)   |
| VPP              | [Vector Packet Processing](https://wiki.fd.io/view/VPP/What_is_VPP%3F)   |
| VSP              | Vendor Software Product (from SDC Demo Guide)   |
| VTP              | [VNF Test Platform](https://wiki.onap.org/pages/viewpage.action?pageId=43386304)   |
| VVP              | [VNF Validation Program](https://wiki.onap.org/display/DW/VNF+Validation+Program+Project)   |
| WAR              | [Web application Archive](https://en.wikipedia.org/wiki/WAR_(file_format))   |
| xNF              | The combination of PNF and VNF; Network Function   |
| YANG             | Yet Another Next Generation - a Data Modeling Language for the Network Configuration Protocol (NETCONF)   |
