/**
 * ============LICENSE_START========================================================================
 * ONAP : ccsdk feature sdnr wt odlux
 * =================================================================================================
 * Copyright (C) 2019 highstreet technologies GmbH Intellectual Property. All rights reserved.
 * =================================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 * ============LICENSE_END==========================================================================
 */
import { FaultApplicationBaseAction } from './notificationActions';
import { getFaultStateFromDatabase } from '../services/faultStatusService';
import { Dispatch } from '../../../../framework/src/flux/store';


export class SetFaultStatusAction extends FaultApplicationBaseAction {
  constructor (public criticalFaults: number, public majorFaults: number, public minorFaults: number, public warnings: number) {
    super();
  }
}


export const refreshFaultStatusAsyncAction = async (dispatch: Dispatch ) => {
  const result = await getFaultStateFromDatabase().catch(_=>null);
  if (result) {
    const statusAction = new SetFaultStatusAction(
      result["Critical"] || 0,
      result["Major"] || 0,
      result["Minor"] || 0,
      result["Warning"] || 0
    );
    dispatch(statusAction);
    return;
  }
  dispatch(new SetFaultStatusAction(0, 0, 0, 0));
}
